Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226360

Summary: Merge Review: readahead
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: kzak
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: readahead-1.4.2-2.fc8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-18 08:50:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 20:48:53 UTC
Fedora Merge Review: readahead

http://cvs.fedora.redhat.com/viewcvs/devel/readahead/
Initial Owner: kzak@redhat.com

Comment 1 Parag AN(पराग) 2007-08-31 11:27:31 UTC
NEEDS work
  rpmlint said
W: readahead invalid-license GPL
The value of the License tag was not recognized.  Known values are:
"Affero GPL", "AFL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0",
"ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic 2.0", "Artistic clarified",
"BitTorrent", "Boost", "BSD", "BSD with advertising", "CeCILL", "CDDL", "CPL",
"Condor", "Copyright only", "Cryptix", "Crystal Stacker", "EPL", "eCos", "EFL
2.0", "EFL 2.0+", "EU Datagrid", "Giftware", "Glide", "GPL+", "GPL+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv3", "GPLv3+",
"IBM", "IJG", "iMatix", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer",
"LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff",
"LPL", "LPPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OSL
1.0", "OSL 1.0+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL 3.0+", "OpenSSL",
"Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL", "Ruby",
"Sleepycat", "SISSL", "SPL", "TCL", "UCD", "Vim", "VNLSL", "VSL", "W3C",
"WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0",
"ZPLv2.0+", "zlib", "CDL", "FBSDDL", "GFDL", "Open Publication", "CC-BY", "CC-
BY-SA", "DSL", "Free Art", "Arphic", "Bitstream Vera", "mplus", "OFL",
"Utopia", "Redistributable, no modification permitted", "Freely
redistributable without restriction".

W: readahead conffile-without-noreplace-flag /etc/readahead.d/default.early
A configuration file is stored in your package without the noreplace flag.
A way to resolve this is to put the following in your SPEC file:

%config(noreplace) /etc/your_config_file_here


W: readahead conffile-without-noreplace-flag /etc/readahead.d/default.later
A configuration file is stored in your package without the noreplace flag.
A way to resolve this is to put the following in your SPEC file:

%config(noreplace) /etc/your_config_file_here


W: readahead service-default-enabled /etc/rc.d/init.d/readahead_later
The service is enabled by default after "chkconfig --add"; for security
reasons, most services should not be. Use "-" as the default runlevel in the
init script's "chkconfig:" line and/or remove the "Default-Start:" LSB keyword
to fix this if appropriate for this service.

W: readahead service-default-enabled /etc/rc.d/init.d/readahead_early
The service is enabled by default after "chkconfig --add"; for security
reasons, most services should not be. Use "-" as the default runlevel in the
init script's "chkconfig:" line and/or remove the "Default-Start:" LSB keyword
to fix this if appropriate for this service.



Comment 2 Parag AN(पराग) 2007-09-28 03:35:29 UTC
ping?
Can you update SPEC for further review?

Comment 3 Karel Zak 2007-10-01 23:22:26 UTC
Sorry, I was busy with some other stuff.

> W: readahead conffile-without-noreplace-flag /etc/readahead.d/default.early
> W: readahead conffile-without-noreplace-flag /etc/readahead.d/default.later

Hmm... I'd like to keep these files updateable

> W: readahead service-default-enabled /etc/rc.d/init.d/readahead_later
> W: readahead service-default-enabled /etc/rc.d/init.d/readahead_early

The "default-enabled" is expected behaviour.

The problem with license is fixed in the latest package build
(readahead-1.4.2-1.fc8).


Comment 4 Parag AN(पराग) 2007-10-03 06:52:45 UTC
thanks for build.
Still I see some more cleanups needed here.
1) Check initscript scriptlets given at
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-97754e2c646616c5f6222f0cfc6923c60765133e

 Can you please explain using triggerpostun instead postun?

2) %files section should be like this
%files -f %{name}.lang
%defattr(-,root,root,- )
%doc COPYING README lists/README.lists
%{_sysconfdir}/cron.daily/readahead.cron
%{_sysconfdir}/rc.d/init.d/readahead_later
%{_sysconfdir}/rc.d/init.d/readahead_early
%config(noreplace) %{_sysconfdir}/readahead.conf
%dir                                       %{_sysconfdir}/readahead.d
%{_sysconfdir}/readahead.d/default.early
%{_sysconfdir}/readahead.d/default.later
%{_sbindir}/readahead
/sbin/readahead-collector


Comment 5 Karel Zak 2007-10-03 09:43:31 UTC
(In reply to comment #4)
>  Can you please explain using triggerpostun instead postun?

No :-) It's legacy from old versions. I think we needn't this trigger. So...
removed.

> 2) %files section should be like this

Thanks! See & Try: readahead-1.4.2-2.fc8.

Comment 6 Parag AN(पराग) 2007-10-04 05:10:00 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but NOT for RPM.
  readahead.i386: W: non-conffile-in-etc /etc/readahead.d/default.early
  readahead.i386: W: non-conffile-in-etc /etc/readahead.d/default.later
  readahead.i386: W: service-default-enabled /etc/rc.d/init.d/readahead_later
  readahead.i386: W: service-default-enabled /etc/rc.d/init.d/readahead_later
  readahead.i386: W: service-default-enabled /etc/rc.d/init.d/readahead_early
  readahead.i386: W: service-default-enabled /etc/rc.d/init.d/readahead_early
  These can be ignored for this package.
+ source files match upstream.
b1b087681c06b66a4e4c7e944336db  readahead-1.4.2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ package  readahead-1.4.2-2.fc8 ->
  Provides: config(readahead) = 1:1.4.2-2.fc8
  Requires: /bin/bash /bin/gawk /bin/sh config(readahead) = 1:1.4.2-2.fc8
libaudit.so.0 libauparse.so.0 libblkid.so.1 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libext2fs.so.2
procps rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.


Comment 7 Parag AN(पराग) 2007-10-04 05:13:01 UTC
oops forgot to edit review template.
* initscripts scriptlets are used in this package.